#!/usr/bin/php
<?php
# @package      hubzero-metrics
# @file         xlogimport_tool_and_reg_user_data.php
# @copyright    Copyright (c) 2011-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2011-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#
# =========================================================================
# This Script makes a copy of the HUB sessionlog table records into the
# metrics' sessionlog_metrics table and HUB jos_xprofiles table into metrics
# jos_xprofiles_metrics table.
#
# USAGE: ./xlogimport_tool_and_reg_user_data.php
#

error_reporting(E_ALL & ~E_NOTICE);
@ini_set('display_errors','1');

if(!defined('__DIR__')) {
    $fPos = strrpos(__FILE__, "/");
    define("__DIR__", substr(__FILE__, 0, $fPos) . "/");
}

require_once(__DIR__."/includes/hub_parameters.php");
require_once(__DIR__."/includes/db_connect.php");
require_once(__DIR__."/includes/func_misc.php");

$db_hub = db_connect('db_hub');

$sql = 'INSERT IGNORE INTO '.$metrics_db.'.sessionlog_metrics (sessnum, user, ip, start, appname) SELECT sessnum, username, remoteip, start, appname FROM '.$mw_db.'.sessionlog';
db_exec($db_hub, $sql);

$sql = 'DROP TABLE IF EXISTS '.$metrics_db.'.'.$db_prefix.'xprofiles_metrics';
db_exec($db_hub, $sql);

$sql = 'CREATE TABLE '.$metrics_db.'.'.$db_prefix.'xprofiles_metrics LIKE '.$hub_db.'.jos_xprofiles';
db_exec($db_hub, $sql);

$sql = 'INSERT INTO '.$metrics_db.'.'.$db_prefix.'xprofiles_metrics SELECT * FROM '.$hub_db.'.'.$db_prefix.'xprofiles WHERE emailConfirmed > 0';
db_exec($db_hub, $sql);

db_close($db_hub);

?>
